!Control file for program SMC2RS
!Use smc2rs2 for RS computed at a fixed set of periods up to 15 s
! Revision of program involving a change in the control file on this date:
   02/10/18
!Summary file name:
 smc2rs.sum
!Use PEER NGA periods? (y/n)
 n
!Use tabulated periods? (y/n)
! (Note: the response is ignored if the answer to the above is "y")
 y
!If "y" above: Number of periods, followed by the periods:
!If "n" above: Periods for response spectra (nperiods log spaced from 
!              per_low to per_high):
! Note: need two lines as placeholders if the the PEER NGA
! periods are used 
 6                         ! 200
 5.0 2.0 1.0 0.5 0.2 0.1   ! 0.01 90.0
!Damping values (ndamp, damp(1), damp(2), ..., damp(ndamp)):
 1 0.05
!t4mean (removes a mean from the whole record, where the mean is
!    determined from t = 0 to t = t4mean.  If t4mean = 0.0,
!    the mean of the whole record is used, and if t4mean < 0, no mean is
!    removed. 
! NOTE: need entries even if the parameter is not used (because read
! info use list-directed [unformatted] input) 
! Note that if working with a processed record that includes the 
! complete time series produced by the processing (e.g., the padded time series
! for acausal filtering or the post-processing baseline corrected time series
! produced from pad-stripped or pass-through data in the first NGA project), 
! it is inadvisible to remove the mean as this may 
! produce unintended distortions at long periods; in this case set t4mean < 0.0.
! If the record is pad-stripped, however, as provided by most
! data centers, without post-processing to remove drifts in displacement,
! a mean determined from the overall record probably should be 
! removed.  But in this case the displacement will probably be inaccurate
! (compared to the displacement derived from the padded, filtered acceleration
! time series), it may be that a better approach is to specify the initial
! velocity and displacement of the record---I am working on that (11/26/10):
 -10.0  
!Sinc interpolate factor (IF) (this MUST be a power of two; e.g., 2, 4, 8, etc.;
! IF = 1 returns the original data):
! sps_out = interpolate_factor* sps_in
! IF = 8 is high enough, because the sinc interpolation assumes that there
! is no energy beyond the Nyquist data of the original data.  This is 0.5*sps_in.
! If want to resolve an oscillator response with this frequency using at least 10 points
! per period, this means resampling so that sps_out = 10 * 0.5*sps_in = 5 *sps_in.
! Because a power of 2 is needed, IF = 8 is sufficient (see comparisons in 
! Wang, P., J. P. Stewart, Y. Bozorgnia, D. M. Boore, and T. Kishida (2017).
! "R" Package for Computation of Earthquake Ground-Motion Response Spectra,
! PEER 2017/09, Pacific Earthquake Engineering Research Center, University of California, Berkeley, California.
 8
!Use straightline interpolation if Tosc < 10*dt (this interpolates the acceleration time series to finer spacing before
!computing the response spectra; it was used before the incorporation of sinc interpolation, and is generally not needed
!when sinc interpolation is done)
 N
!character string to append to filename to make the output filename:
 .smc2rs.col
!tskip tlength  
 0.0 400.0
!Are the units of acceleration in g (Y/N); if N, I assume that the units are
! cm/s/s.  If something else, it is up to the user to scale the output appropriately 
! (the output units are as follows: sd(cm); pv(cm/s); pa(cm/s/s); rv(cm/s); aa(cm/s/s); ag (g)
! where the output columns indicate the type of response spectra, as follows:
! sd=relative displacement
! pv=pseudo relative velocity
! pa=pseudo absolute acceleration (aka PSA)
! rv=relative velocity
! aa=absolute acceleration
! ag=pseudo absolute acceleration, in g.
! (see aa_pa_rv_pv_2.pdf on the Dave's informal notes on a variety of topics page of www.daveboore.com)
 N
!accel_file names 
!("STOP" in any column, any case, to quit)
ARL090.AT2.smc8 
ARL360.AT2.smc8
TAB-LN.AT2.smc8
TAB-TR.AT2.smc8
ARL090.AT2.smc 
ARL360.AT2.smc 
TAB-LN.AT2.smc 
TAB-TR.AT2.smc 
 StoP

sd05RSN1000_ pv05RSN1000_ pa05RSN1000_ rv05RSN1000_ aa05RSN1000_ ag05RSN1000  